using System;
using System.Net.Http;
using System.Threading.Tasks;

internal sealed class Delegate235 : MulticastDelegate
{
	public extern Task<HttpResponseMessage> Invoke(object object_0, string string_0, HttpContent httpContent_0);

	public static Task<HttpResponseMessage> smethod_0(object object_0, string string_0, HttpContent httpContent_0, Delegate235 delegate235_1)
	{
		return delegate235_1(object_0, string_0, httpContent_0);
	}

	public extern Delegate235(object object_0, IntPtr intptr_0);

	static Delegate235()
	{
		Class10.smethod_13(typeof(Delegate235).TypeHandle);
	}

	internal static Delegate235 delegate235_0;
}
